// Player.h : main header file for the PLAYER application
//

#if !defined(AFX_PLAYER_H__EAFD1867_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_)
#define AFX_PLAYER_H__EAFD1867_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "Event.h"
#include "Coordinator.h"

/////////////////////////////////////////////////////////////////////////////
// CPlayerApp:
// See Player.cpp for the implementation of this class
//

class CPlayerApp : public CWinApp
{
	// premenne uchovavaju nastavenie vizualizatora
	bool	m_bDrawPerceptions;
	bool	m_bDrawTeammateInfo;
	bool	m_bDrawOpponentInfo;
	bool	m_bDrawBallInfo;
	bool	m_bDrawLocalAgentInfo;

public:
	CPlayerApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayerApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
protected:
	HMENU m_hMDIMenu;
	HACCEL m_hMDIAccel;

	afx_msg void OnEvent(CBasicEvent* pEvent, CRecipientSet* pRecipient);

public:

	void OnFileTextNew();

	bool GetPerceptionsSetup( void ) { return m_bDrawPerceptions; };
	void SetPerceptionSetup( bool value ) {	m_bDrawPerceptions = value; };
	
	bool GetTeammateSetup( void ) { return m_bDrawTeammateInfo; };
	void SetTeammateSetup( bool value ) { m_bDrawTeammateInfo = value; };

	bool GetOpponentSetup( void ) { return m_bDrawOpponentInfo; };
	void SetOpponentSetup( bool value ) { m_bDrawOpponentInfo = value; };

	bool GetBallSetup( void ) { return m_bDrawBallInfo; };
	void SetBallSetup( bool value ) { m_bDrawBallInfo = value; };

	bool GetAgentSetup( void ) { return m_bDrawLocalAgentInfo; };
	void SetAgentSetup( bool value ) { m_bDrawLocalAgentInfo = value; };

	//{{AFX_MSG(CPlayerApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFileNew();
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYER_H__EAFD1867_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_)
