// PlayerCoordinator.h: interface for the CPlayerCoordinator class.
//
//////////////////////////////////////////////////////////////////////

#ifndef PLAYERCOORDINATOR_H
#define PLAYERCOORDINATOR_H

#include "SystemClock.h"
#include "ServerConnection.h"
#include "ServerCommunicator.h"
#include "ServerMsgTranslator.h"
#include "Coordinator.h"
#include "SoccerAgent.h"

class CPlayerCoordinator : public CCoordinator  
{
protected:
    CSystemClock* m_pSystemClock;
    CServerConnection* m_pServerConnection;
    CServerMsgTranslator* m_pServerMsgTranslator;
    CServerCommunicator* m_pServerCommunicator;    
    CSoccerAgent* m_pSoccerAgent;

public:
     CPlayerCoordinator();
     virtual ~CPlayerCoordinator();
};

#endif  // PLAYERCOORDINATOR_H
