// VisPerception.h: interface for the CVisPerception class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VISPERCEPTION_H__08CA624A_7911_46FB_994B_D708942E8E48__INCLUDED_)
#define AFX_VISPERCEPTION_H__08CA624A_7911_46FB_994B_D708942E8E48__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Perception.h"
#include "VisObject.h"
#include "EventRecipient.h"
//#include "ToDoClasses.h"

class cAgent;
class CVisPerception : public CEventRecipient
{
	CPerception*		m_pPerception;			// smernik na aktualny vnem ktory sa bude zobrazovat
public:
	CAgent*				m_pAgent;				// snernik na vlastneho agenta

public:
	CVisPerception(CWinThread* pDefThread, CCoordinator* pCoordinator);
	virtual ~CVisPerception();

	void SetPerception( CPerception* newPerception );
	void SetAgent(CAgent* newAgent);

	int GetFlagsCount()	{ return m_pPerception->GetSeenFlagsCount(); };
	int GetPlayersCount() { return m_pPerception->GetPlayersCount(); };
	
	int GetSeenFlag( int index, CVisObject* visObject );
	int GetSeenPlayer( int index, CVisObject* visObject );
	int GetSeenBall( CVisObject* visObject );

	void OnEvent(CBasicEvent *pEvent);
};

#endif // !defined(AFX_VISPERCEPTION_H__08CA624A_7911_46FB_994B_D708942E8E48__INCLUDED_)
