// ServerMsg.cpp: implementation of the CServerMsg class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Player.h"
#include "ServerMsg.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CServerMsg::CServerMsg()
{
}

CServerMsg::CServerMsg(const char* szMessage) : m_sMessage(szMessage)
{
}

CServerMsg::CServerMsg(const string& sMessage) : m_sMessage(sMessage)
{
}

CServerMsg::CServerMsg(const char* szMessage, TSystemTime tReceivedTime) : 
    m_sMessage(szMessage), m_tReceivedTime(tReceivedTime)
{
}

CServerMsg::CServerMsg(const string& sMessage, TSystemTime tReceivedTime) : 
    m_sMessage(sMessage), m_tReceivedTime(tReceivedTime)
{
}

CServerMsg::~CServerMsg()
{
}
